# $Revision: 1.4 $, $Date: 2007/02/12 22:09:11 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Packdrakeng
%define		pdir	MDV
Summary:	MDV::Packdrakeng - simple archive extractor/builder
Summary(pl.UTF-8):	MDV::Packdrakeng - prosta rozpakowywarka archiwów/builder
Name:		perl-MDV-Packdrakeng
Version:	1.01
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RG/RGARCIA/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	08fa89a1908503a82abee649d7547f95
URL:		http://search.cpan.org/dist/MDV-Packdrakeng/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with autodeps}
BuildRequires:	perl-Compress-Zlib
%endif
BuildRequires:	rpm-devel >= 4.2.3
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MDV::Packdrakeng is a simple indexed archive builder and extractor
using standard compression methods.

%description -l pl.UTF-8
MDV::Packdrakeng jest prostym builderem indeksowanych archiwów oraz
rozpakowywarką korzystającą ze standardowych metod kompresji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%{perl_vendorlib}/MDV

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MDV-Packdrakeng.spec,v $
Revision 1.4  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/11/06 21:52:36  qboosh
- added URL

Revision 1.1  2006/10/21 13:09:07  ankry
- new
